Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dmg.builders
Interface RequestObjectBuilder

All Known Implementing Classes:
  RequestObjectBuilderImpl

    public interface RequestObjectBuilder

Interface with the methods used to created the consult or notify request. Default impl : `ResponseObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`ConsultGlobalMedicalFileRequest` | `buildSendConsultRequest(boolean isTest, DMGReferences references, Patient patientInfo, org.joda.time.DateTime referenceDate, be.fgov.ehealth.messageservices.core.v1.SelectRetrieveTransaction request)` * Creates the ConsultGlobalMedicalFileRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD
`ConsultGlobalMedicalFileRequest` | `buildSendConsultRequest(boolean isTest, String referenceId, Patient patientInfo, org.joda.time.DateTime referenceDate, Blob blob, byte[] xades)` Creates the ConsultGlobalMedicalFileRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD
`NotifyGlobalMedicalFileRequest` | `buildSendNotifyRequest(boolean isTest, DMGReferences references, Patient patientInfo, org.joda.time.DateTime referenceDate, Kmehrmessage msg)` Creates the NotifyGlobalMedicalFileRequest that will be sent to the EHealth web service and checks validity against the corresponding XSD.
`NotifyGlobalMedicalFileRequest` | `buildSendNotifyRequest(boolean isTest, String referenceId, Patient patientInfo, org.joda.time.DateTime referenceDate, Blob blob, byte[] xades)` Creates the NotifyGlobalMedicalFileRequest that will be sent to the EHealth web service and checks validity against the corresponding XSD.

Method Detail

### buildSendConsultRequest

    ConsultGlobalMedicalFileRequest buildSendConsultRequest(boolean isTest,
                                                            String referenceId,
                                                            Patient patientInfo,
                                                            org.joda.time.DateTime referenceDate,
                                                            Blob blob,
                                                            byte[] xades)
                                                            throws TechnicalConnectorException,
                                                                   DmgBusinessConnectorException,
                                                                   InstantiationException

  Creates the ConsultGlobalMedicalFileRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Parameters:
    `isTest` - indicates if this is a test or not
    `referenceId` - String containing referenceId
    `patientInfo` - contains the information about the patient
    `referenceDate` - the reference date
    `blob` - Base64 encoded detail of the request
    `xades` - byteArray containing the Xades signature (nullable)
  Returns:
    the valid request that will be sent to the WS
  Throws:
    `InstantiationException`
    `DmgBusinessConnectorException`
    `TechnicalConnectorException`

### buildSendConsultRequest

    ConsultGlobalMedicalFileRequest buildSendConsultRequest(boolean isTest,
                                                            DMGReferences references,
                                                            Patient patientInfo,
                                                            org.joda.time.DateTime referenceDate,
                                                            be.fgov.ehealth.messageservices.core.v1.SelectRetrieveTransaction request)
                                                            throws TechnicalConnectorException,
                                                                   DmgBusinessConnectorException,
                                                                   InstantiationException

  * Creates the ConsultGlobalMedicalFileRequest that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Parameters:
    `isTest` - indicates if this is a test or not
    `references` - `DmgReferences` contains the reference ids
    `patientInfo` - contains the information about the patient
    `referenceDate` - the reference date
  Returns:
  Throws:
    `TechnicalConnectorException`
    `DmgBusinessConnectorException`
    `InstantiationException`

### buildSendNotifyRequest

    NotifyGlobalMedicalFileRequest buildSendNotifyRequest(boolean isTest,
                                                          String referenceId,
                                                          Patient patientInfo,
                                                          org.joda.time.DateTime referenceDate,
                                                          Blob blob,
                                                          byte[] xades)
                                                          throws TechnicalConnectorException,
                                                                 DmgBusinessConnectorException,
                                                                 InstantiationException

  Creates the NotifyGlobalMedicalFileRequest that will be sent to the EHealth web service and checks validity against the corresponding XSD.

  Parameters:
    `isTest` - indicates if this is a test or not
    `referenceId` - String containing the reference id.
    `patientInfo` - contains the information about the patient
    `referenceDate` - the reference date
    `blob` - Base64 encoded detail of the request
    `xades` - byteArray containing the Xades signature (nullable)
  Returns:
    the valid request that will be sent to the WS
  Throws:
    `InstantiationException`
    `DmgBusinessConnectorException`
    `TechnicalConnectorException`

### buildSendNotifyRequest

    NotifyGlobalMedicalFileRequest buildSendNotifyRequest(boolean isTest,
                                                          DMGReferences references,
                                                          Patient patientInfo,
                                                          org.joda.time.DateTime referenceDate,
                                                          Kmehrmessage msg)
                                                          throws TechnicalConnectorException,
                                                                 DmgBusinessConnectorException,
                                                                 InstantiationException

  Creates the NotifyGlobalMedicalFileRequest that will be sent to the EHealth web service and checks validity against the corresponding XSD.

  Parameters:
    `isTest` - indicates if this is a test or not
    `references` - `DmgReferences` contains the reference ids
    `patientInfo` - contains the information about the patient
    `referenceDate` - the reference date
    `msg` - `Kmehrmessage` contains the business KmehrMessage
  Returns:
    the valid request that will be sent to the WS
  Throws:
    `InstantiationException`
    `DmgBusinessConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.